%global momorel 2
%global unstable 0
%if 0%{unstable}
#global svnrel 1062329
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.5.0
%global kdelibsrel 1m
%global qtver 4.6.3
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.5.0
%global sourcedir %{release_dir}/%{ftpdirver}/src

%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%global ruby_ver 1.8
%global ruby_sitelib %{_prefix}/lib/ruby/site_ruby/%{ruby_ver}
%global ruby_sitearch %{_libdir}/ruby/site_ruby/%{ruby_ver}/%{_arch}-linux

# define to enable these optional bits
%ifnarch sparc64
%global csharp 1
%endif
%global falcon 1
%global ruby 1
%global smoke 1
%global php 1
%global java 0

%global pykde4_akonadi 1
%global pyqt4_version 4.7.4
%global sip_version 4.10.5
%global akonadiver 1.3.90
%global phononver 4.4.2
%global sopranover 2.4.63
%global attica_ver 0.1.4

%if 0%{?ruby}%{?smoke}
%global devel 1
%endif

Summary: KDE bindings to non-C++ languages
Name: kdebindings
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPLv2
URL: http://developer.kde.org/language-bindings/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
NoSource: 0
# upstream patches
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt-devel >= %{qtver}-%{qtrel}
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  kdegraphics-devel >= %{version}
BuildRequires:  kdevplatform-devel
BuildRequires:  akonadi-devel >= %{akonadiver}
BuildRequires:  attica-devel >= %{attica_ver}
BuildRequires:  soprano-devel >= %{sopraanover}
BuildRequires:  cmake >= %{cmakever}-%{cmakerel}
BuildRequires:  giflib-devel
BuildRequires:  pcre-devel
BuildRequires:  phonon-devel >= %{phononver}
BuildRequires:  PyQt4-devel >= %{pyqt4_version}
BuildRequires:  qscintilla-devel >= 2.4.0-2m
BuildRequires:  qtscriptgenerator
BuildRequires:  sip-devel >= %{sip_version}
BuildRequires:  qwt-devel >= 5.2.1
%if 0%{?csharp}
BuildRequires:  mono-core
BuildRequires:  mono-devel
%endif
%if 0%{?falcon}
BuildRequires:  Falcon-devel >= 0.8.12
%endif
%if 0%{?php}
BuildRequires:  php-devel
%endif
%if 0%{?ruby}
# TODO: QtRuby-devel might cause dependencies loop under OmoiKondara
BuildRequires:  QtRuby-devel
BuildRequires:  ruby-devel
BuildRequires:  ruby
%endif
%if 0%{?java}
# TODO: kross-java is a mess, not sure what it needs to build
# CMakeLists.txt is also not portable (only gcj and i486 hardcoded)
# -- mathstuf
BuildRequires:  java-1.6.0-openjdk-devel
%endif

Obsoletes: kdebindings3
Obsoletes: qtruby

# FIXME/TODO: are there other explicit Requires?
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: kdelibs >= %{version}
Requires: kdebase-workspace >= %{version}

%description
KDE bindings to non-C++ languages

%package -n PyKDE4
Summary:  Python bindings for KDE4
Group:    Development/Languages
Requires: kdelibs >= %{version}
Requires: PyQt4

%description -n PyKDE4
Header files for developing applications using %{name}.

%package -n PyKDE4-akonadi
Summary: Akonadi runtime support for PyKDE4
Group: Development/Languages
Requires: PyKDE4 = %{version}-%{release}
Requires: kdepimlibs-akonadi%{?_isa} >= %{version}

%description -n PyKDE4-akonadi
%{summary}.

%package -n PyKDE4-devel
Summary:  Files needed to build other bindings based on KDE4
Group:    Development/Languages
Requires: PyQt4-devel
Requires: PyKDE4 = %{version}-%{release}

%description -n PyKDE4-devel
Files needed to build other bindings for C++ classes that inherit from any
of the KDE4 classes.

%package devel
Summary:  Header files for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel kdebase-workspace-devel
Requires: PyQt4-devel
Provides: PyKDE4-devel = %{version}-%{release}

%description devel
Header files for developing applications using %{name}.

%if 0%{?csharp}
%package -n kimono
Group:    Development/Languages
Summary:  C# bindings for KDE4
Requires: kdelibs >= %{version}
Requires: qyoto = %{version}-%{release}
Provides: kimono4 = %{version}-%{release}
%description -n kimono
%{summary}.

%package -n qyoto
Group:    Development/Languages
Summary:  C# bindings for Qt4
Requires: qt >= %{qtver}
Provides: qyoto4 = %{version}-%{release}
%description -n qyoto
%{summary}.

%package -n qyoto-devel
Group:    Development/Languages
Summary:  Development files for qyoto
Requires: qyoto = %{version}-%{release}
Requires: mono-devel
Provides: qyoto4-devel = %{version}-%{release}
%description -n qyoto-devel
%{summary}.
%endif

%if 0%{?ruby}
%package -n korundum
Group:    Development/Languages
Summary:  Ruby bindings for KDE4
Requires: kdelibs >= %{version}
Requires: QtRuby = %{version}-%{release}
Provides: korundum4 = %{version}-%{release}

%description -n korundum
%{summary}.

%package -n korundum-devel
Group:    Development/Languages
Summary:  Development files for korundum
Requires: QtRuby-devel
Requires: korundum = %{version}-%{release}
Provides: korundum4-devel = %{version}-%{release}

%description -n korundum-devel
%{summary}.

%package -n QtRuby
Group:    Development/Languages
Summary:  Ruby bindings for Qt4
Requires: qt >= %{_qtver}
Provides: QtRuby4 = %{version}-%{release}

%description -n QtRuby
%{summary}.

%package -n QtRuby-devel
Group:    Development/Languages
Summary:  Development files for QtRuby
Requires: QtRuby = %{version}-%{release}
Provides: QtRuby4-devel = %{version}-%{release}

%description -n QtRuby-devel
%{summary}.
%endif

%if 0%{?php}
%package -n php-qt
Group:    Development/Languages
Summary:  PHP bindings for Qt4
Requires: qt >= %{qtver}
Provides: php-qt4 = %{version}-%{release}
%description -n php-qt
%{summary}.

%package -n php-qt-devel
Group:    Development/Languages
Summary:  Development files for php-qt
Requires: php-qt = %{version}-%{release}
Provides: php-qt4-devel = %{version}-%{release}
%description -n php-qt-devel
%{summary}.
%endif

%package -n kross-python
Group:    Development/Languages
Summary:  Kross plugin for python
Requires: kdelibs >= %{version}
Provides: kross(python) = %{version}-%{release}

%description -n kross-python
Python plugin for the Kross archtecture in KDE4.

%if 0%{?ruby}
%package -n kross-ruby
Group:    Development/Languages
Summary:  Kross plugin for ruby
Requires: ruby
Requires: kdelibs >= %{version}
Provides: kross(ruby) = %{version}-%{release}

%description -n kross-ruby
Ruby plugin for the Kross archtecture in KDE4.
%endif

%if 0%{falcon}
%package -n kross-falcon
Group:    Development/Languages
Summary:  Kross plugin for falcon
Requires: Falcon >= 0.8.12
Requires: kdelibs >= %{version}
Provides: kross(falcon) = %{version}-%{release}
%description -n kross-falcon
Falcon plugin for the Kross archtecture in KDE4.
%endif

%prep
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}

%global _cmake_skip_rpath %{nil}

# upstream patches

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# FIXME/TODO: Get csharp to compile
%{cmake_kde4} \
	-DPYTHON_LIBRARY=%{_libdir}/libpython%{python_ver}.so.1.0 \
	-DPYTHON_LIBRARIES=%{_libdir}/libpython%{python_ver}.so.1.0 \
	-DPYTHON_INCLUDE_PATH=%{_includedir}/python%{python_ver} \
	%if 0%{?csharp}
	-DENABLE_QYOTO=ON \
	%else
	-DBUILD_csharp=OFF \
	%endif
	%if 0%{?falcon}
	-DENABLE_KROSSFALCON=ON \
	%else
	-DBUILD_falcon=OFF \
	%endif
	%if 0%{?php}
	-DENABLE_PHP-QT=ON \
	%else
	-DBUILD_php=OFF \
	%endif
	%if 0%{?ruby}
	-DRUBY_EXECUTABLE=%{_bindir}/ruby18 \
	-DRUBY_LIBRARY=%{_libdir}/libruby18.so.1.8 \
	-DRUBY_SITE_LIB_DIR=%{ruby_sitelib} \
	-DRUBY_SITE_ARCH_DIR=%{ruby_sitearch} \
	%else
	-DBUILD_ruby=OFF \
	%endif
	%if 0%{?smoke}
	-DENABLE_SMOKE=ON \
	%else
	-DBUILD_smoke=OFF \
	%endif
	%if 0%{?java}
	-DENABLE_KROSSJAVA=ON \
	%else
	-DBUILD_java=OFF \
	%endif
	-DBUILD_perl=OFF \
	..
popd

# smp build not recommended (upstream)
make -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# kdebindings does not support polkit-qt-1
rm -rf %{buildroot}%{_kde4_datadir}/sip/PyKDE4/polkitqt/
rm -rf %{buildroot}%{_kde4_appsdir}/pykde4/examples/polkitqtExamples/

# HACK: fix multilb conflict, similar to PyQt4's http://bugzilla.redhat.com/509415
rm -fv %{buildroot}%{_bindir}/pykdeuic4
mv %{buildroot}%{python_sitearch}/PyQt4/uic/pykdeuic4.py \
   %{buildroot}%{_bindir}/pykdeuic4
ln -s %{_bindir}/pykdeuic4 \
      %{buildroot}%{python_sitearch}/PyQt4/uic/pykdeuic4.py

# install pykde4 examples under correct dir
mkdir -p %{buildroot}%{_docdir}
rm -f %{buildroot}%{_kde4_appsdir}/pykde4/examples/*.py?
mv %{buildroot}%{_kde4_appsdir}/pykde4 %{buildroot}%{_docdir}/

# bz#551534 - qyoto doesn't pull mono in
find %{buildroot} -name \*.dll -not -type l | xargs chmod ugo+x

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig ||:

%postun
/sbin/ldconfig ||:

%pre -n PyKDE4-devel
if [ -d %{_bindir}/pykdeuic4 ]; then
rm -rf %{_bindir}/pykdeuic4/
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.LIB NEWS README
%if 0%{?smoke}
%{_kde4_libdir}/libsmoke*.so.*
%endif

%if 0%{?devel}
%files devel
%defattr(-,root,root,-)
%if 0%{?smoke}
%{_kde4_bindir}/smokeapi
%{_kde4_includedir}/smoke.h
%{_kde4_includedir}/smoke
%{_kde4_libdir}/libsmoke*.so
%endif
%{_kde4_includedir}/smokegen
%{_kde4_bindir}/smokegen
%{_kde4_libdir}/libcppparser.so
%{_kde4_libdir}/smokegen
%{_kde4_datadir}/smokegen
%endif

%files -n PyKDE4
%defattr(-,root,root,-)
%doc COPYING
%{python_sitearch}/PyKDE4
%{python_sitearch}/PyQt4/uic/widget-plugins/kde4.py*
%if 0%{?pykde4_akonadi}
%exclude %{python_sitearch}/PyKDE4/akonadi.so
%endif
%{_kde4_libdir}/kde4/kpythonpluginfactory.so

%if 0%{?pykde4_akonadi}
%files -n PyKDE4-akonadi
%defattr(-,root,root,-)
%{python_sitearch}/PyKDE4/akonadi.so
%endif

%files -n PyKDE4-devel
%defattr(-,root,root,-)
%{_kde4_bindir}/pykdeuic4
%{python_sitearch}/PyQt4/uic/pykdeuic4.py*
%{_docdir}/pykde4
%{_kde4_datadir}/sip/PyKDE4

%if 0%{?csharp}
%files -n kimono
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/kimonopluginfactory.so
%{_kde4_libdir}/libakonadi-sharp.so
%{_kde4_libdir}/libkhtml-sharp.so
%{_kde4_libdir}/libkimono.so
%{_kde4_libdir}/libktexteditor-sharp.so
%{_kde4_libdir}/libnepomuk-sharp.so
%{_kde4_libdir}/libphonon-sharp.so
%{_kde4_libdir}/libqscintilla-sharp.so
%{_kde4_libdir}/libplasma-sharp.so
%{_kde4_libdir}/libsoprano-sharp.so
%{_prefix}/lib/mono/qyoto/akonadi.dll
%{_prefix}/lib/mono/qyoto/kde-dotnet.dll
%{_prefix}/lib/mono/qyoto/khtml-dll.dll
%{_prefix}/lib/mono/qyoto/ktexteditor-dotnet.dll
%{_prefix}/lib/mono/qyoto/nepomuk-dll.dll
%{_prefix}/lib/mono/qyoto/plasma-dll.dll
%{_prefix}/lib/mono/qyoto/soprano.dll
%{_prefix}/lib/mono/gac/akonadi
%{_prefix}/lib/mono/gac/kde-dotnet
%{_prefix}/lib/mono/gac/khtml-dll
%{_prefix}/lib/mono/gac/ktexteditor-dotnet
%{_prefix}/lib/mono/gac/nepomuk-dll
%{_prefix}/lib/mono/gac/plasma-dll
%{_prefix}/lib/mono/gac/soprano
%{_kde4_appsdir}/plasma_scriptengine_kimono
%{_kde4_datadir}/kde4/services/plasma-scriptengine-kimono-applet.desktop
%{_kde4_datadir}/kde4/services/plasma-scriptengine-kimono-dataengine.desktop

%files -n qyoto
%defattr(-,root,root,-)
%{_kde4_libdir}/libqimageblitz-sharp.so
%{_kde4_libdir}/libqtscript-sharp.so
%{_kde4_libdir}/libqttest-sharp.so
%{_kde4_libdir}/libqtuitools-sharp.so
%{_kde4_libdir}/libqtwebkit-sharp.so
%{_kde4_libdir}/libqyoto.so
%{_kde4_libdir}/libqyoto.so.*
%{_prefix}/lib/mono/qyoto/phonon.dll
%{_prefix}/lib/mono/qyoto/qscintilla.dll
%{_prefix}/lib/mono/qyoto/qimageblitz.dll
%{_prefix}/lib/mono/qyoto/qt-dotnet.dll
%{_prefix}/lib/mono/qyoto/qtscript.dll
%{_prefix}/lib/mono/qyoto/qttest.dll
%{_prefix}/lib/mono/qyoto/qtuitools.dll
%{_prefix}/lib/mono/qyoto/qtwebkit.dll
%{_prefix}/lib/mono/gac/phonon
%{_prefix}/lib/mono/gac/qscintilla
%{_prefix}/lib/mono/gac/qimageblitz
%{_prefix}/lib/mono/gac/qt-dotnet
%{_prefix}/lib/mono/gac/qtscript
%{_prefix}/lib/mono/gac/qttest
%{_prefix}/lib/mono/gac/qtuitools
%{_prefix}/lib/mono/gac/qtwebkit

%files -n qyoto-devel
%defattr(-,root,root,-)
%{_bindir}/csrcc
%{_bindir}/uics
%{_includedir}/qyoto/
%{_kde4_libdir}/pkgconfig/qtscript-sharp.pc
%{_kde4_libdir}/pkgconfig/qttest-sharp.pc
%{_kde4_libdir}/pkgconfig/qtuitools-sharp.pc
%{_kde4_libdir}/pkgconfig/qtwebkit-sharp.pc
%{_kde4_libdir}/pkgconfig/qyoto.pc
%endif

%if 0%{?ruby}
%files -n korundum
%defattr(-,root,root,-)
%{_kde4_bindir}/krubyapplication
%{ruby_sitelib}/KDE
%{ruby_sitelib}/akonadi
%{ruby_sitelib}/khtml
%{ruby_sitelib}/kio
%{ruby_sitelib}/ktexteditor
%{ruby_sitelib}/nepomuk
%{ruby_sitelib}/okular
%{ruby_sitelib}/phonon
%{ruby_sitelib}/qscintilla
%{ruby_sitelib}/qwt
%{ruby_sitelib}/solid
%{ruby_sitelib}/soprano
%{ruby_sitearch}/akonadi.so
%{ruby_sitearch}/khtml.so
%{ruby_sitearch}/kio.so
%{ruby_sitearch}/korundum4.so
%{ruby_sitearch}/ktexteditor.so
%{ruby_sitearch}/okular.so
%{ruby_sitearch}/plasma_applet.so
%{ruby_sitearch}/phonon.so
%{ruby_sitearch}/qscintilla.so
%{ruby_sitearch}/qwt.so
%{ruby_sitearch}/solid.so
%{ruby_sitearch}/soprano.so
%{ruby_sitearch}/nepomuk.so
%{_kde4_libdir}/kde4/krubypluginfactory.so
%{_kde4_appsdir}/dbpedia_references
%{_kde4_appsdir}/plasma_applet_ruby_clock
%{_kde4_appsdir}/plasma_ruby_digital_clock
%{_kde4_datadir}/applications/kde4/dbpedia_references.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-ruby-analogclock.desktop
%{_kde4_datadir}/kde4/services/plasma-ruby-digital-clock-default.desktop

%files -n korundum-devel
%defattr(-,root,root,-)
%{_kde4_bindir}/rbkconfig_compiler4
%{_includedir}/qtruby
%exclude %{_kde4_libdir}/libqtruby4shared.so

%files -n QtRuby
%defattr(-,root,root,-)
%{ruby_sitelib}/Qt
%{ruby_sitelib}/Qt.rb
%{ruby_sitelib}/Qt3.rb
%{ruby_sitelib}/Qt4.rb
%{ruby_sitelib}/qtscript
%{ruby_sitelib}/qttest
%{ruby_sitelib}/qtuitools
%{ruby_sitelib}/qtwebkit
%{ruby_sitearch}/qtruby4.so
%{ruby_sitearch}/qtscript.so
%{ruby_sitearch}/qttest.so
%{ruby_sitearch}/qtuitools.so
%{ruby_sitearch}/qtwebkit.so
%{_kde4_libdir}/libqtruby4shared.so.2
%{_kde4_libdir}/libqtruby4shared.so.2.0.0

%files -n QtRuby-devel
%defattr(-,root,root,-)
%{_kde4_bindir}/rbqtapi
%{_kde4_bindir}/rbrcc
%{_kde4_bindir}/rbuic4
%{_kde4_libdir}/libqtruby4shared.so
%endif

%if 0%{?php}
%files -n php-qt
%defattr(-,root,root,-)
%{_libdir}/php/modules/php_qt.so

%files -n php-qt-devel
%defattr(-,root,root,-)
%{_bindir}/phpuic
%endif

%files -n kross-python
%defattr(-,root,root,-)
# unversioned library
%{_kde4_libdir}/kde4/krosspython.so

%if 0%{?ruby}
%files -n kross-ruby
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/krossruby.so
%endif

%if 0%{?falcon}
%files -n kross-falcon
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/krossfalcon.so
%endif

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.0-2m)
- full rebuild for mo7 release

* Wed Aug 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-1m)
- update to KDE 4.5.0

* Fri Aug  6 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.95-2m)
- build with ruby18

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.95-1m)
- update to KDE 4.5 RC3 (4.4.95)

* Sat Jul 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.5-3m)
- enable to build with new sip

* Sat Jul 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.5-2m)
- change BuildRequires: from libattica-devel to attica-devel

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.5-1m)
- update to KDE 4.4.5

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-2m)
- rebuild against qt-4.6.3-1m

* Thu Jun  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-1m)
- update to KDE 4.4.4

* Thu May 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.3-2m)
- rebuild against qt-4.7.0-0.1.3m (fix smoke build failure)

* Thu May  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.3-1m)
- update to KDE 4.4.3

* Tue May  4 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.4.2-3m)
- add BuildRequires: QtRuby-devel

* Thu Apr 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-2m)
- fix build with libattica-0.1.3
- revive BuildRequires: qwt-devel

* Thu Apr  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-1m)
- update to KDE 4.4.2

* Fri Mar  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.1-1m)
- update to KDE 4.4.1

* Thu Feb 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-1m)
- update to KDE 4.4.0

* Fri Feb  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.98-1m)
- update to KDE 4.4 RC3 (4.3.98)

* Mon Jan 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.95-1m)
- update to KDE 4.4 RC2 (4.3.95)

* Tue Jan 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.90-2m)
- remove polkit-qt support, kdebindings does not support polkit-qt-1
- correct pykde4 examples' path and qyoto files' permissions

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.90-1m)
- update to KDE 4.4 RC1 (4.3.90)

* Tue Dec 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.85-1m)
- update to KDE 4.4 beta2 (4.3.85)

* Sun Dec 20 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.82-2m)
- fix %%files

* Sat Dec 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.82-1m)
- update to 4.3.82

* Thu Dec 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.80-1m)
- update to KDE 44 beta1 (4.3.80)

* Sat Dec  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.4-2m)
- kdebindings does not conflict with dbus-qt3-devel any more

* Thu Dec  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.4-1m)
- update to KDE 4.3.4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.3-1m)
- [SECURITY] http://www.ocert.org/advisories/ocert-2009-015.html
- update to KDE 4.3.3

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.2-2m)
- rebuild against sip-4.9.1/PyQt4-4.6.1

* Wed Oct  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.2-1m)
- update to KDE 4.3.2

* Fri Sep  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to KDE 4.3.1

* Sat Aug  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.3.0-2m)
- modify BRs for automatic building of STABLE_6

* Thu Aug  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to KDE 4.3.0 official release

* Fri Jul 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.98-1m)
- update to KDE 4.3 RC3 (4.2.98)

* Sat Jul 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to KDE 4.3 RC2 (4.2.96)

* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- update to KDE 4.3 RC (4.2.95)

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.91-1m)
- update to 4.2.91

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.90-1m)
- update to KDE 4.3 beta 2 (4.2.90)

* Tue Jun  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.89-1m)
- update to 4.2.89

* Tue Jun  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.3-4m)
- add PyKDE4-akonadi sub package

- * Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.89-1m)
- - update to 4.2.89

- * Sat Jun  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-1m)
- - update to 4.2.88

* Fri Jun  5 2009 NARITA Koichi <pulsar@momonga-linux>
- (4.2.4-3m)
- add patch101 for new soprano

* Fri Jun  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.4-2m)
- install Source2-5 to enable build

* Thu Jun  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4-1m)
- update to KDE 4.2.4

- * Tue Jun  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-2m)
- - fix pykde4 compile issues

- * Sat May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-1m)
- - update to 4.2.88

- * Tue May 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-2m)
- - update upstream modifications

- * Fri May 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-1m)
- - update to 4.2.87

- * Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-2m)
- - apply upstream modification, again

- * Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - apply upstream modification

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.3-1m)
- update to KDE 4.2.3

- * Sat May  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-2m)
- - apply upstream modification

- * Fri May  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - update to 4.2.85

- * Sat May  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.71-1m)
- - update to 4.2.71

- * Sun Apr 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.70-1m)
- - update to 4.2.70

- * Sun Apr 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.69-1m)
- - update to 4.2.69

* Fri Apr  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.2-1m)
- update to KDE 4.2.2

* Fri Mar  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-1m)
- update to KDE 4.2.1
- sync with Fedora devel

* Fri Feb  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-2m)
- Obsoletes: kdebindings3

* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to KDE 4.2.0
- remove unused patches
- sync with Fedora devel

* Sun Jan 25 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.1.96-3m)
- revise %%files

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.96-1m)
- update to KDE 4.2 RC

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-1m)
- update to 4.1.87

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.85-2m)
- rebuild against python-2.6.1-1m

* Sun Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.85-1m)
- update to 4.1.85

* Wed Dec 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.82-1m)
- update to 4.1.82

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-1m)
- update to 4.1.81

* Fri Nov 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.80-1m)
- update to 4.1.80

* Fri Nov 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.73-1m)
- update to 4.1.73

* Sun Nov  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.72-1m)
- update to KDE 4.1.72
- set -DENABLE_PHONON_SMOKE=OFF for the moment (to enable build)
- remove merged nepomuk-build-fix.patch
- make VERBOSE=1

* Sat Nov  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-3m)
- rebuild against qscintilla-2.3-1m

* Wed Oct 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-2m)
- add Patch0 to fix build break

* Sat Oct 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-1m)
- update to 4.1.70

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.69-1m)
- update to 4.1.69

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.68-1m)
- update to 4.1.68

* Tue Sep 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-2m)
- add patch0 to fix build breaks

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-1m)
- update to 4.1.67

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.66-1m)
- update to 4.1.66

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-1m)
- update to 4.1.65

* Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.64-1m)
- update to 4.1.64

* Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.63-1m)
- update to 4.1.63

* Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.62-1m)
- update to 4.1.62

* Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.61-1m)
- update to 4.1.61

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-3m)
- revise %%files section

* Wed Jul 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-2m)
- remove merged kate.patch
- modify %%files for official release

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Fri Jul 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.98-3m)
- fix %%files to avoid conflicting

* Fri Jul 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.98-2m)
- fix Requires of PyKDE4

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85

* Mon Jun 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.84-2m)
- apply rev824845.patch again (to enable build)

* Sun Jun 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.83-2m)
- fix build on x86_64

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.83-1m)
- update to KDE 4.1 beta 2
- import ruby-cmakelists.patch from Fedora
 +* Fri Jun 20 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-3
 +- fix CMake target name conflict between Ruby and Python bindings
- update fix-ruby187.patch

* Thu Jun 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.80-3m)
- support ruby-1.8.7

* Wed Jun  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.80-2m)
- enable build on trunk
- sort BR and %%files
- clean up spec file

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.80-1m)
- update to KDE 4.1 beta 1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- update to 4.0.4

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-2m)
- rebuild against gcc43

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2
- delete patches
- disable some features at this time...

* Sat Feb  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Wed Feb  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- build with qscintilla-2.1

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- update to KDE4

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8
- PyQt-3.14.1-13m
- sip-4.2.1-13m
- qtruby-1.0.13-5m
- delete unused patches

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.7-2m)
- rebuild against ruby-1.8.6-4m

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7
- PyQt-3.14.1-12m
- sip-4.2.1-12m
- qtruby-1.0.13-4m

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against kdelibs etc.

* Sun Jan 28 2007 NARITA Koichi <pulsar@momonga-linunx.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete patch 11 (kdebindings-3.5.5-type.patch)

* Wed Dec 27 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.5.5-5m)
- add pyssizet patch from FC

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.5-4m)
- rebuild against python-2.5

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.5-3m)
- separated sip, PyQt, PyKDE to other packages since bundled ones has not been updated for a long time.
- fix qtrubyver and qtrubyrel since qtruby has been updated to 1.0.13 since KDE-3.5.5

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.5-2m)
- rebuild against expat-2.0.0-2m
- PyQt-3.14.1-11m
- sip-4.2.1-11m
- qtruby-1.0.10-16m

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5
- PyQt-3.14.1-10m
- sip-4.2.1-10m
- qtruby-1.0.10-15m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4
- PyQt-3.14.1-9m
- sip-4.2.1-9m
- qtruby-1.0.10-14m

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3
- PyQt-3.14.1-8m
- sip-4.2.1-8m
- qtruby-1.0.10-13m

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2
- update python.patch
- PyQt-3.14.1-7m
- sip-4.2.1-7m
- qtruby-1.0.10-12m

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.5.1-2m)
- build against perl-5.8.8 (mjsk (^^;;;
- PyQt-3.14.1-6m
- sip-4.2.1-6m
- qtruby-1.0.10-11m

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1
- PyQt-3.14.1-5m
- sip-4.2.1-5m
- qtruby-1.0.10-10m

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1
- remove BuildConflicts: mono
- PyQt-3.14.1-4m
- sip-4.2.1-4m
- qtruby-1.0.10-9m

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5
- PyQt-3.14.1-3m
- sip-4.2.1-3m
- qtruby-1.0.10-8m

* Wed Nov 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- use make, "make -j2" doesn't work
- disable hidden visibility
- PyQt-3.14.1-2m
- sip-4.2.1-2m
- qtruby-1.0.10-7m

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- PyQt-3.14.1-1m
- sip-4.2.1-1m
- qtruby-1.0.10-6m

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-2m)
- rebuild against python-2.4.2
- PyQt-3.13-7m
- sip-4.1.1-7m
- qtruby-1.0.10-5m

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- PyQt-3.13-6m
- sip-4.1.1-6m
- qtruby-1.0.10-4m

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- rebuild against qscintilla-1.6-1m
- PyQt-3.13-5m
- sip-4.1.1-5m
- qtruby-1.0.10-3m

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure
- PyQt-3.13-4m
- sip-4.1.1-4m
- qtruby-1.0.10-2m

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- PyQt-3.13-3m
- sip-4.1.1-3m
- qtruby-1.0.10-1m
- add %%doc

* Mon Jun 13 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.4.1-2m)
- rebuilt against perl-5.8.7

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1
- --disable-final

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- update python(version).patch
- import kdebindings-3.3.92-xdg.patch from Fedora Core
- add kdebindings-3.4.0-rbkconfig_compiler-Makefile.patch

* Sun Mar 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.3.2-4m)
- rebuild against qscintilla-1.5.1

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-3m)
- $(prefix)/lib -> $(libdir)

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
- versions of sip, PyQt and qtruby are 4.0.2-4m, 3.12-4m, 1.0.3-1m respectively

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-3m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Sun Sep 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.0-2m)
- revise %%files section
  %%{_libdir}/*.so* -> %%{_libdir}/*.so.*

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- make sip, PyQt, qtruby subpackages
- add Patch100

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release

* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for enabling rpm 4.2.

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Mon Nov 10 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- change includedir

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m (for glibc-2.3.2 environment)

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- export _POSIX2_VERSION=199209

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
  Changelog from 3.0.5 to 3.1
    bindings updated.
  Changelog from 3.1 to 3.1.1
    Removing Qt bindings for private interfaces that were accidentally included and now caused compilation failures with Qt 3.1.2.
    Several other build related fixes.

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5a-2m)
- remove kmozilla

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Thu Apr  4 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Sat Feb 23 2002 Shigeru Yamazaki <s@kondara.org>
- (2.2.2-4k)
- rebuild against python 2.2 and mozilla 0.9.8

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Fri Nov  2 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- rebuild against mozilla 0.9.5.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release, however still no fam, no python2...

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsrod <teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
